// #include "bsp_master.h"
// #include "bsp_uart.h"
// #include "log.h"
// #include "multiCentral.h"
// #include "bsp_valve.h"

// #undef LOG_ENABLE
// #define LOG_ENABLE 1

// void BSP_Bt_Init(void)
// {
// }

// void BSP_Master_Send(centralConnItem_t *centralConnList, uint8_t id, uint8_t *Data, uint8_t Len)
// {
//     attWriteReq_t req;
//     uint8_t res;

//     if (centralConnList[id].state == BLE_STATE_CONNECTED) // 检查连接状态是否为连接状态
//     {
//         if (centralConnList[id].procedureInProgress == TRUE)
//         {
//             logWarning("\n Write buy");
//         }
//         else
//         {
//             req.cmd    = FALSE;
//             req.sig    = FALSE;
//             req.handle = centralConnList[id].connHandle;
//             req.len    = Len;
//             req.pValue = GATT_bm_alloc(centralConnList[id].connHandle, ATT_WRITE_REQ, req.len, NULL, 0);
//             if (req.pValue != NULL)
//             {
//                 tmos_memcpy(req.pValue, Data, Len);
//                 res = GATT_WriteCharValue(centralConnList[id].connHandle, &req, centralTaskId);
//                 if (res == SUCCESS)
//                 {
//                     centralConnList[id].procedureInProgress = TRUE; // 翻转读写状态
//                     logDebug("\n Master Write ok");
//                 }
//                 else
//                 {
//                     logDebug("\n Master Write faild= %x", res);
//                     GATT_bm_free((gattMsg_t *)&req, ATT_WRITE_REQ);
//                 }
//             }
//             else
//             {
//                 logDebug("\n alloc Faild");
//             }
//         }
//     }
//     else
//     {
//     }
// }

// int BSP_Master_Receive_Data(uint8_t *data, uint16_t len)
// {
//     int ret              = 0;
//     uint16_t index       = 0;
//     uint8_t data_buf[64] = {0};
//     // 解析接收到的数据帧，先寻找AA开头，然后再找AA下一个字节，其代表了数据长度，然后找到代表长度的值的长度的下一位，其为校验码，校验码后为结束码0x55，
//     // 如果数据正确，则提取数据，不正确，则不处理
//     if (len < 4)
//     { // 至少需要 4 个字节：起始码、长度、校验码、结束码
//         logError("BT 数据帧长度不足");
//         logHexDumpAll(data, len);
//         return 1;
//     }

//     while (index < len && data[index] != 0xAA) // 寻找起始码 0xAA
//     {
//         index++;
//     }
//     if (index >= len - 3) // 不够空间容纳长度、校验码和结束码
//     {
//         logError("BT 数据帧起始码错误");
//         logHexDumpAll(data, len);
//         return 2;
//     }

//     uint16_t datalength = data[index + 1]; // 读取数据长度
//     if (index + 2 + datalength + 1 >= len) // 检查数据长度是否合理 数据长度 + 校验码 + 结束码
//     {

//         logError("BT 数据帧长度错误");
//         logHexDumpAll(data, len);
//         return 3; //
//     }

//     uint8_t rx_sum         = data[index + 2 + datalength];           // 读取校验码
//     uint8_t calculated_sum = XOR_CheckSum(&data[0], datalength + 2); // 计算校验码
//     if (rx_sum != calculated_sum)
//     {

//         logError("BT 数据帧校验码错误 rx_sum = %02X, calculated_sum = %02X", rx_sum, calculated_sum);
//         logHexDumpAll(data, len);
//         return 4;
//     }

//     if (data[index + 2 + datalength + 1] != 0x55) // 检查结束码
//     {
//         logError("BT 数据帧结束码错误");
//         logHexDumpAll(data, len);
//         return 5;
//     }
//     // 到这一步说明数据没问题，将接收到的数据通过中心任务发送出去
//     uint8_t *p_data;
//     p_data = tmos_msg_allocate(length);
//     if (p_data)
//     {
//         tmos_memcpy(p_data, data, length);
//         tmos_msg_send(task_id, p_data);
//     }

//     tmos_msg_send(task_id, data);
//     return ret;
// }